<?php
/*
 *  @package   mod_jphpx
 *  @version   Version 1.3.3
 *  @file      helper.php
 *  @author    Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 *  @copyright (C) 2021 Joachim Schmidt. All rights reserved.
 *  @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 *
 * change activity:
 */
defined('_JEXEC') or die('Restricted access');
use Joomla\CMS\Factory;
use Joomla\CMS\Version;
use Joomla\CMS\Language\Text;

class mod_jphpxHelper
{

    public static function get_code ($params)
    {
        $joomla_version = new Version();
        if (version_compare($joomla_version->getShortVersion(), '4.0', '>='))
           $db = Factory::getContainer()->get('DatabaseDriver');
        else
            $db = Factory::getDbo();

        $user = Factory::getApplication()->getIdentity();
        try
        {
            if ($user->id == 0)
                $db->setQuery("select source from #__jphpx where id = $params and published = 1 and access=0");
            else
                $db->setQuery("select source from #__jphpx where id = $params and published = 1");
        }
        catch (mysqli_sql_exception $e)
        {
            echo '<div style="color:red;">&nbsp;db- error </div>';
            return null;
        }

        $result = $db->loadResult();
        if ($result)
            return $result;
        else
            echo '<div style="color:red;">&nbsp;' . Text::sprintf('MOD_ERROR_RECORD', $params) . '</div>';
    }
}